FetchStyle (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine
Enum FetchStyle

    java.lang.Object
      java.lang.Enum<FetchStyle>
          org.hibernate.engine.FetchStyle

All Implemented Interfaces:
  Serializable, Comparable<FetchStyle>

    public enum FetchStyle

extends Enum<FetchStyle>

Enumeration of values describing HOW fetching should occur.

See Also:
  `FetchTiming`

Enum Constant Summary
`BATCH` Initializes a number of indicated data items (entities or collections) in a series of grouped sql selects using an in-style sql restriction to define the batch size.
`JOIN` Inherently an eager style of fetching.
`SELECT` Performs a separate SQL select to load the indicated data.
`SUBSELECT` Performs fetching of associated data (currently limited to only collections) based on the sql restriction used to load the owner.

Method Summary
`static FetchStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FetchStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT

    public static final FetchStyle SELECT

  Performs a separate SQL select to load the indicated data. This can either be eager (the second select is issued immediately) or lazy (the second select is delayed until the data is needed).

### JOIN

    public static final FetchStyle JOIN

  Inherently an eager style of fetching. The data to be fetched is obtained as part of an SQL join.

### BATCH

    public static final FetchStyle BATCH

  Initializes a number of indicated data items (entities or collections) in a series of grouped sql selects using an in-style sql restriction to define the batch size. Again, can be either eager or lazy.

### SUBSELECT

    public static final FetchStyle SUBSELECT

  Performs fetching of associated data (currently limited to only collections) based on the sql restriction used to load the owner. Again, can be either eager or lazy.

Method Detail

### values

    public static FetchStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FetchStyle c : FetchStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FetchStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.